§
     j?p  ã                   óÆ   — d dl Zd dlZddlmZ ddlmZmZ ddlm	Z	 ddl
mZmZ ddlmZ dd	lmZ  ej        ej        d
¦  «        Z G d„ d¦  «        Z G d„ d¦  «        ZdS )é    Né   )ÚTraceWithFullDetails)ÚAsyncClientWrapperÚSyncClientWrapper)ÚRequestOptionsé   )ÚAsyncRawTraceClientÚRawTraceClient)ÚDeleteTraceResponse)ÚTraces.c            !       ó   — e Zd Zdefd„Zedefd„¦   «         Zdddœdede	j
        e         d	e	j
        e         defd
„Zddœded	e	j
        e         defd„Zddddddddddddddddœde	j
        e         de	j
        e         de	j
        e         de	j
        e         de	j
        e         de	j
        ej                 de	j
        ej                 de	j
        e         de	j
        e	j        ee	j        e         f                  de	j
        e         de	j
        e         de	j
        e	j        ee	j        e         f                  de	j
        e         de	j
        e         d	e	j
        e         def d„Zddœde	j        e         d	e	j
        e         defd„ZdS )ÚTraceClientÚclient_wrapperc                ó0   — t          |¬¦  «        | _        d S ©N)r   )r
   Ú_raw_client©Úselfr   s     úc/lsinfo/ai/hellotax_ai/base_platform/venv/lib/python3.11/site-packages/langfuse/api/trace/client.pyÚ__init__zTraceClient.__init__   s   € Ý)¸ÐHÑHÔHˆÔÐÐó    Úreturnc                 ó   — | j         S )z“
        Retrieves a raw implementation of this client that returns raw responses.

        Returns
        -------
        RawTraceClient
        ©r   ©r   s    r   Úwith_raw_responsezTraceClient.with_raw_response   ó   € ð ÔÐr   N©ÚfieldsÚrequest_optionsÚtrace_idr   r    c                óJ   — | j                              |||¬¦  «        }|j        S )aî  
        Get a specific trace

        Parameters
        ----------
        trace_id : str
            The unique langfuse identifier of a trace

        fields : typing.Optional[str]
            Comma-separated list of fields to include in the response. Available field groups: 'core' (always included), 'io' (input, output, metadata), 'scores', 'observations', 'metrics'. If not specified, all fields are returned. Example: 'core,scores,metrics'. Note: Excluded 'observations' or 'scores' fields return empty arrays; excluded 'metrics' returns -1 for 'totalCost' and 'latency'.

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        TraceWithFullDetails

        Examples
        --------
        from langfuse import LangfuseAPI

        client = LangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )
        client.trace.get(
            trace_id="traceId",
        )
        r   ©r   ÚgetÚdata©r   r!   r   r    Ú	_responses        r   r$   zTraceClient.get    s3   € ðR Ô$×(Ò(Ø˜V°_ð )ñ 
ô 
ˆ	ð Œ~Ðr   ©r    c                óH   — | j                              ||¬¦  «        }|j        S )aL  
        Delete a specific trace

        Parameters
        ----------
        trace_id : str
            The unique langfuse identifier of the trace to delete

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        DeleteTraceResponse

        Examples
        --------
        from langfuse import LangfuseAPI

        client = LangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )
        client.trace.delete(
            trace_id="traceId",
        )
        r(   ©r   Údeleter%   ©r   r!   r    r'   s       r   r+   zTraceClient.deleteN   s(   € ðD Ô$×+Ò+¨HÀoÐ+ÑVÔVˆ	ØŒ~Ðr   ©ÚpageÚlimitÚuser_idÚnameÚ
session_idÚfrom_timestampÚto_timestampÚorder_byÚtagsÚversionÚreleaseÚenvironmentr   Úfilterr    r.   r/   r0   r1   r2   r3   r4   r5   r6   r7   r8   r9   r:   c                ób   — | j                              |||||||||	|
|||||¬¦  «        }|j        S )aM  
        Get list of traces

        Parameters
        ----------
        page : typing.Optional[int]
            Page number, starts at 1

        limit : typing.Optional[int]
            Limit of items per page. If you encounter api issues due to too large page sizes, try to reduce the limit.

        user_id : typing.Optional[str]

        name : typing.Optional[str]

        session_id : typing.Optional[str]

        from_timestamp : typing.Optional[dt.datetime]
            Optional filter to only include traces with a trace.timestamp on or after a certain datetime (ISO 8601)

        to_timestamp : typing.Optional[dt.datetime]
            Optional filter to only include traces with a trace.timestamp before a certain datetime (ISO 8601)

        order_by : typing.Optional[str]
            Format of the string [field].[asc/desc]. Fields: id, timestamp, name, userId, release, version, public, bookmarked, sessionId. Example: timestamp.asc

        tags : typing.Optional[typing.Union[str, typing.Sequence[str]]]
            Only traces that include all of these tags will be returned.

        version : typing.Optional[str]
            Optional filter to only include traces with a certain version.

        release : typing.Optional[str]
            Optional filter to only include traces with a certain release.

        environment : typing.Optional[typing.Union[str, typing.Sequence[str]]]
            Optional filter for traces where the environment is one of the provided values.

        fields : typing.Optional[str]
            Comma-separated list of fields to include in the response. Available field groups: 'core' (always included), 'io' (input, output, metadata), 'scores', 'observations', 'metrics'. If not specified, all fields are returned. Example: 'core,scores,metrics'. Note: Excluded 'observations' or 'scores' fields return empty arrays; excluded 'metrics' returns -1 for 'totalCost' and 'latency'.

        filter : typing.Optional[str]
            JSON string containing an array of filter conditions. When provided, this takes precedence over query parameter filters (userId, name, sessionId, tags, version, release, environment, fromTimestamp, toTimestamp).

            ## Filter Structure
            Each filter condition has the following structure:
            ```json
            [
              {
                "type": string,           // Required. One of: "datetime", "string", "number", "stringOptions", "categoryOptions", "arrayOptions", "stringObject", "numberObject", "boolean", "null"
                "column": string,         // Required. Column to filter on (see available columns below)
                "operator": string,       // Required. Operator based on type:
                                          // - datetime: ">", "<", ">=", "<="
                                          // - string: "=", "contains", "does not contain", "starts with", "ends with"
                                          // - stringOptions: "any of", "none of"
                                          // - categoryOptions: "any of", "none of"
                                          // - arrayOptions: "any of", "none of", "all of"
                                          // - number: "=", ">", "<", ">=", "<="
                                          // - stringObject: "=", "contains", "does not contain", "starts with", "ends with"
                                          // - numberObject: "=", ">", "<", ">=", "<="
                                          // - boolean: "=", "<>"
                                          // - null: "is null", "is not null"
                "value": any,             // Required (except for null type). Value to compare against. Type depends on filter type
                "key": string             // Required only for stringObject, numberObject, and categoryOptions types when filtering on nested fields like metadata
              }
            ]
            ```

            ## Available Columns

            ### Core Trace Fields
            - `id` (string) - Trace ID
            - `name` (string) - Trace name
            - `timestamp` (datetime) - Trace timestamp
            - `userId` (string) - User ID
            - `sessionId` (string) - Session ID
            - `environment` (string) - Environment tag
            - `version` (string) - Version tag
            - `release` (string) - Release tag
            - `tags` (arrayOptions) - Array of tags
            - `bookmarked` (boolean) - Bookmark status

            ### Structured Data
            - `metadata` (stringObject/numberObject/categoryOptions) - Metadata key-value pairs. Use `key` parameter to filter on specific metadata keys.

            ### Aggregated Metrics (from observations)
            These metrics are aggregated from all observations within the trace:
            - `latency` (number) - Latency in seconds (time from first observation start to last observation end)
            - `inputTokens` (number) - Total input tokens across all observations
            - `outputTokens` (number) - Total output tokens across all observations
            - `totalTokens` (number) - Total tokens (alias: `tokens`)
            - `inputCost` (number) - Total input cost in USD
            - `outputCost` (number) - Total output cost in USD
            - `totalCost` (number) - Total cost in USD

            ### Observation Level Aggregations
            These fields aggregate observation levels within the trace:
            - `level` (string) - Highest severity level (ERROR > WARNING > DEFAULT > DEBUG)
            - `warningCount` (number) - Count of WARNING level observations
            - `errorCount` (number) - Count of ERROR level observations
            - `defaultCount` (number) - Count of DEFAULT level observations
            - `debugCount` (number) - Count of DEBUG level observations

            ### Scores (requires join with scores table)
            - `scores_avg` (number) - Average of numeric scores (alias: `scores`)
            - `score_categories` (categoryOptions) - Categorical score values

            ## Filter Examples
            ```json
            [
              {
                "type": "datetime",
                "column": "timestamp",
                "operator": ">=",
                "value": "2024-01-01T00:00:00Z"
              },
              {
                "type": "string",
                "column": "userId",
                "operator": "=",
                "value": "user-123"
              },
              {
                "type": "number",
                "column": "totalCost",
                "operator": ">=",
                "value": 0.01
              },
              {
                "type": "arrayOptions",
                "column": "tags",
                "operator": "all of",
                "value": ["production", "critical"]
              },
              {
                "type": "stringObject",
                "column": "metadata",
                "key": "customer_tier",
                "operator": "=",
                "value": "enterprise"
              }
            ]
            ```

            ## Performance Notes
            - Filtering on `userId`, `sessionId`, or `metadata` may enable skip indexes for better query performance
            - Score filters require a join with the scores table and may impact query performance

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        Traces

        Examples
        --------
        from langfuse import LangfuseAPI

        client = LangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )
        client.trace.list()
        r-   ©r   Úlistr%   ©r   r.   r/   r0   r1   r2   r3   r4   r5   r6   r7   r8   r9   r   r:   r    r'   s                    r   r=   zTraceClient.lists   sY   € ðx Ô$×)Ò)ØØØØØ!Ø)Ø%ØØØØØ#ØØØ+ð *ñ 
ô 
ˆ	ð" Œ~Ðr   Ú	trace_idsc                óH   — | j                              ||¬¦  «        }|j        S )a\  
        Delete multiple traces

        Parameters
        ----------
        trace_ids : typing.Sequence[str]
            List of trace IDs to delete

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        DeleteTraceResponse

        Examples
        --------
        from langfuse import LangfuseAPI

        client = LangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )
        client.trace.delete_multiple(
            trace_ids=["traceIds", "traceIds"],
        )
        ©r?   r    ©r   Údelete_multipler%   ©r   r?   r    r'   s       r   rC   zTraceClient.delete_multipleB  s1   € ðJ Ô$×4Ò4Ø°ð 5ñ 
ô 
ˆ	ð Œ~Ðr   )Ú__name__Ú
__module__Ú__qualname__r   r   Úpropertyr
   r   ÚstrÚtypingÚOptionalr   r   r$   r   r+   ÚintÚdtÚdatetimeÚUnionÚSequencer   r=   rC   © r   r   r   r      sã  € € € € € ðIÐ*;ð Ið Ið Ið Ið ð  >ð  ð  ð  ñ „Xð ð (,Ø;?ð,ð ,ð ,àð,ð ” Ô$ð	,ð
  œ¨Ô8ð,ð 
ð,ð ,ð ,ð ,ð^ TXð#ð #ð #Øð#Ø17´ÀÔ1Pð#à	ð#ð #ð #ð #ðP &*Ø&*Ø(,Ø%)Ø+/Ø7;Ø59Ø)-ØIMØ(,Ø(,ØPTØ'+Ø'+Ø;?ð#Mð Mð Mð Œo˜cÔ"ðMð Œ˜sÔ#ð	Mð
 ” Ô%ðMð Œo˜cÔ"ðMð ”O CÔ(ðMð œ¨¬Ô4ðMð ”o b¤kÔ2ðMð ”/ #Ô&ðMð Œo˜fœl¨3°´ÀÔ0DÐ+DÔEÔFðMð ” Ô%ðMð ” Ô%ðMð ”_ V¤\°#°v´ÀsÔ7KÐ2KÔ%LÔMðMð ” Ô$ðMð  ” Ô$ð!Mð"  œ¨Ô8ð#Mð$ 
ð%Mð Mð Mð Mðf <@ð	(ð (ð (ð ”? 3Ô'ð(ð  œ¨Ô8ð	(ð
 
ð(ð (ð (ð (ð (ð (r   r   c            !       ó   — e Zd Zdefd„Zedefd„¦   «         Zdddœdede	j
        e         d	e	j
        e         defd
„Zddœded	e	j
        e         defd„Zddddddddddddddddœde	j
        e         de	j
        e         de	j
        e         de	j
        e         de	j
        e         de	j
        ej                 de	j
        ej                 de	j
        e         de	j
        e	j        ee	j        e         f                  de	j
        e         de	j
        e         de	j
        e	j        ee	j        e         f                  de	j
        e         de	j
        e         d	e	j
        e         def d„Zddœde	j        e         d	e	j
        e         defd„ZdS )ÚAsyncTraceClientr   c                ó0   — t          |¬¦  «        | _        d S r   )r	   r   r   s     r   r   zAsyncTraceClient.__init__n  s   € Ý.¸nÐMÑMÔMˆÔÐÐr   r   c                 ó   — | j         S )z˜
        Retrieves a raw implementation of this client that returns raw responses.

        Returns
        -------
        AsyncRawTraceClient
        r   r   s    r   r   z"AsyncTraceClient.with_raw_responseq  r   r   Nr   r!   r   r    c             ƒ   óZ   K  — | j                              |||¬¦  «        ƒ d{V —†}|j        S )ad  
        Get a specific trace

        Parameters
        ----------
        trace_id : str
            The unique langfuse identifier of a trace

        fields : typing.Optional[str]
            Comma-separated list of fields to include in the response. Available field groups: 'core' (always included), 'io' (input, output, metadata), 'scores', 'observations', 'metrics'. If not specified, all fields are returned. Example: 'core,scores,metrics'. Note: Excluded 'observations' or 'scores' fields return empty arrays; excluded 'metrics' returns -1 for 'totalCost' and 'latency'.

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        TraceWithFullDetails

        Examples
        --------
        import asyncio

        from langfuse import AsyncLangfuseAPI

        client = AsyncLangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )


        async def main() -> None:
            await client.trace.get(
                trace_id="traceId",
            )


        asyncio.run(main())
        r   Nr#   r&   s        r   r$   zAsyncTraceClient.get|  sU   è è € ðb Ô*×.Ò.Ø˜V°_ð /ñ 
ô 
ð 
ð 
ð 
ð 
ð 
ð 
ˆ	ð Œ~Ðr   r(   c             ƒ   óX   K  — | j                              ||¬¦  «        ƒ d{V —†}|j        S )aÂ  
        Delete a specific trace

        Parameters
        ----------
        trace_id : str
            The unique langfuse identifier of the trace to delete

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        DeleteTraceResponse

        Examples
        --------
        import asyncio

        from langfuse import AsyncLangfuseAPI

        client = AsyncLangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )


        async def main() -> None:
            await client.trace.delete(
                trace_id="traceId",
            )


        asyncio.run(main())
        r(   Nr*   r,   s       r   r+   zAsyncTraceClient.delete²  sS   è è € ðT Ô*×1Ò1Ø oð 2ñ 
ô 
ð 
ð 
ð 
ð 
ð 
ð 
ˆ	ð Œ~Ðr   r-   r.   r/   r0   r1   r2   r3   r4   r5   r6   r7   r8   r9   r:   c             ƒ   ór   K  — | j                              |||||||||	|
|||||¬¦  «        ƒ d{V —†}|j        S )a»  
        Get list of traces

        Parameters
        ----------
        page : typing.Optional[int]
            Page number, starts at 1

        limit : typing.Optional[int]
            Limit of items per page. If you encounter api issues due to too large page sizes, try to reduce the limit.

        user_id : typing.Optional[str]

        name : typing.Optional[str]

        session_id : typing.Optional[str]

        from_timestamp : typing.Optional[dt.datetime]
            Optional filter to only include traces with a trace.timestamp on or after a certain datetime (ISO 8601)

        to_timestamp : typing.Optional[dt.datetime]
            Optional filter to only include traces with a trace.timestamp before a certain datetime (ISO 8601)

        order_by : typing.Optional[str]
            Format of the string [field].[asc/desc]. Fields: id, timestamp, name, userId, release, version, public, bookmarked, sessionId. Example: timestamp.asc

        tags : typing.Optional[typing.Union[str, typing.Sequence[str]]]
            Only traces that include all of these tags will be returned.

        version : typing.Optional[str]
            Optional filter to only include traces with a certain version.

        release : typing.Optional[str]
            Optional filter to only include traces with a certain release.

        environment : typing.Optional[typing.Union[str, typing.Sequence[str]]]
            Optional filter for traces where the environment is one of the provided values.

        fields : typing.Optional[str]
            Comma-separated list of fields to include in the response. Available field groups: 'core' (always included), 'io' (input, output, metadata), 'scores', 'observations', 'metrics'. If not specified, all fields are returned. Example: 'core,scores,metrics'. Note: Excluded 'observations' or 'scores' fields return empty arrays; excluded 'metrics' returns -1 for 'totalCost' and 'latency'.

        filter : typing.Optional[str]
            JSON string containing an array of filter conditions. When provided, this takes precedence over query parameter filters (userId, name, sessionId, tags, version, release, environment, fromTimestamp, toTimestamp).

            ## Filter Structure
            Each filter condition has the following structure:
            ```json
            [
              {
                "type": string,           // Required. One of: "datetime", "string", "number", "stringOptions", "categoryOptions", "arrayOptions", "stringObject", "numberObject", "boolean", "null"
                "column": string,         // Required. Column to filter on (see available columns below)
                "operator": string,       // Required. Operator based on type:
                                          // - datetime: ">", "<", ">=", "<="
                                          // - string: "=", "contains", "does not contain", "starts with", "ends with"
                                          // - stringOptions: "any of", "none of"
                                          // - categoryOptions: "any of", "none of"
                                          // - arrayOptions: "any of", "none of", "all of"
                                          // - number: "=", ">", "<", ">=", "<="
                                          // - stringObject: "=", "contains", "does not contain", "starts with", "ends with"
                                          // - numberObject: "=", ">", "<", ">=", "<="
                                          // - boolean: "=", "<>"
                                          // - null: "is null", "is not null"
                "value": any,             // Required (except for null type). Value to compare against. Type depends on filter type
                "key": string             // Required only for stringObject, numberObject, and categoryOptions types when filtering on nested fields like metadata
              }
            ]
            ```

            ## Available Columns

            ### Core Trace Fields
            - `id` (string) - Trace ID
            - `name` (string) - Trace name
            - `timestamp` (datetime) - Trace timestamp
            - `userId` (string) - User ID
            - `sessionId` (string) - Session ID
            - `environment` (string) - Environment tag
            - `version` (string) - Version tag
            - `release` (string) - Release tag
            - `tags` (arrayOptions) - Array of tags
            - `bookmarked` (boolean) - Bookmark status

            ### Structured Data
            - `metadata` (stringObject/numberObject/categoryOptions) - Metadata key-value pairs. Use `key` parameter to filter on specific metadata keys.

            ### Aggregated Metrics (from observations)
            These metrics are aggregated from all observations within the trace:
            - `latency` (number) - Latency in seconds (time from first observation start to last observation end)
            - `inputTokens` (number) - Total input tokens across all observations
            - `outputTokens` (number) - Total output tokens across all observations
            - `totalTokens` (number) - Total tokens (alias: `tokens`)
            - `inputCost` (number) - Total input cost in USD
            - `outputCost` (number) - Total output cost in USD
            - `totalCost` (number) - Total cost in USD

            ### Observation Level Aggregations
            These fields aggregate observation levels within the trace:
            - `level` (string) - Highest severity level (ERROR > WARNING > DEFAULT > DEBUG)
            - `warningCount` (number) - Count of WARNING level observations
            - `errorCount` (number) - Count of ERROR level observations
            - `defaultCount` (number) - Count of DEFAULT level observations
            - `debugCount` (number) - Count of DEBUG level observations

            ### Scores (requires join with scores table)
            - `scores_avg` (number) - Average of numeric scores (alias: `scores`)
            - `score_categories` (categoryOptions) - Categorical score values

            ## Filter Examples
            ```json
            [
              {
                "type": "datetime",
                "column": "timestamp",
                "operator": ">=",
                "value": "2024-01-01T00:00:00Z"
              },
              {
                "type": "string",
                "column": "userId",
                "operator": "=",
                "value": "user-123"
              },
              {
                "type": "number",
                "column": "totalCost",
                "operator": ">=",
                "value": 0.01
              },
              {
                "type": "arrayOptions",
                "column": "tags",
                "operator": "all of",
                "value": ["production", "critical"]
              },
              {
                "type": "stringObject",
                "column": "metadata",
                "key": "customer_tier",
                "operator": "=",
                "value": "enterprise"
              }
            ]
            ```

            ## Performance Notes
            - Filtering on `userId`, `sessionId`, or `metadata` may enable skip indexes for better query performance
            - Score filters require a join with the scores table and may impact query performance

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        Traces

        Examples
        --------
        import asyncio

        from langfuse import AsyncLangfuseAPI

        client = AsyncLangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )


        async def main() -> None:
            await client.trace.list()


        asyncio.run(main())
        r-   Nr<   r>   s                    r   r=   zAsyncTraceClient.listá  s{   è è € ðH Ô*×/Ò/ØØØØØ!Ø)Ø%ØØØØØ#ØØØ+ð 0ñ 
ô 
ð 
ð 
ð 
ð 
ð 
ð 
ˆ	ð" Œ~Ðr   r?   c             ƒ   óX   K  — | j                              ||¬¦  «        ƒ d{V —†}|j        S )aÒ  
        Delete multiple traces

        Parameters
        ----------
        trace_ids : typing.Sequence[str]
            List of trace IDs to delete

        request_options : typing.Optional[RequestOptions]
            Request-specific configuration.

        Returns
        -------
        DeleteTraceResponse

        Examples
        --------
        import asyncio

        from langfuse import AsyncLangfuseAPI

        client = AsyncLangfuseAPI(
            x_langfuse_sdk_name="YOUR_X_LANGFUSE_SDK_NAME",
            x_langfuse_sdk_version="YOUR_X_LANGFUSE_SDK_VERSION",
            x_langfuse_public_key="YOUR_X_LANGFUSE_PUBLIC_KEY",
            username="YOUR_USERNAME",
            password="YOUR_PASSWORD",
            base_url="https://yourhost.com/path/to/api",
        )


        async def main() -> None:
            await client.trace.delete_multiple(
                trace_ids=["traceIds", "traceIds"],
            )


        asyncio.run(main())
        rA   NrB   rD   s       r   rC   z AsyncTraceClient.delete_multiple¸  sS   è è € ðZ Ô*×:Ò:Ø°ð ;ñ 
ô 
ð 
ð 
ð 
ð 
ð 
ð 
ˆ	ð Œ~Ðr   )rE   rF   rG   r   r   rH   r	   r   rI   rJ   rK   r   r   r$   r   r+   rL   rM   rN   rO   rP   r   r=   rC   rQ   r   r   rS   rS   m  sä  € € € € € ðNÐ*<ð Nð Nð Nð Nð ð Ð#6ð  ð  ð  ñ „Xð ð (,Ø;?ð4ð 4ð 4àð4ð ” Ô$ð	4ð
  œ¨Ô8ð4ð 
ð4ð 4ð 4ð 4ðn TXð-ð -ð -Øð-Ø17´ÀÔ1Pð-à	ð-ð -ð -ð -ðd &*Ø&*Ø(,Ø%)Ø+/Ø7;Ø59Ø)-ØIMØ(,Ø(,ØPTØ'+Ø'+Ø;?ð#Uð Uð Uð Œo˜cÔ"ðUð Œ˜sÔ#ð	Uð
 ” Ô%ðUð Œo˜cÔ"ðUð ”O CÔ(ðUð œ¨¬Ô4ðUð ”o b¤kÔ2ðUð ”/ #Ô&ðUð Œo˜fœl¨3°´ÀÔ0DÐ+DÔEÔFðUð ” Ô%ðUð ” Ô%ðUð ”_ V¤\°#°v´ÀsÔ7KÐ2KÔ%LÔMðUð ” Ô$ðUð  ” Ô$ð!Uð"  œ¨Ô8ð#Uð$ 
ð%Uð Uð Uð Uðv <@ð	0ð 0ð 0ð ”? 3Ô'ð0ð  œ¨Ô8ð	0ð
 
ð0ð 0ð 0ð 0ð 0ð 0r   rS   )rN   rM   rJ   Ú%commons.types.trace_with_full_detailsr   Úcore.client_wrapperr   r   Úcore.request_optionsr   Ú
raw_clientr	   r
   Útypes.delete_trace_responser   Útypes.tracesr   ÚcastÚAnyÚOMITr   rS   rQ   r   r   ú<module>rc      s  ðð Ð Ð Ð Ø €€€à HÐ HÐ HÐ HÐ HÐ HØ GÐ GÐ GÐ GÐ GÐ GÐ GÐ GØ 1Ð 1Ð 1Ð 1Ð 1Ð 1Ø ;Ð ;Ð ;Ð ;Ð ;Ð ;Ð ;Ð ;Ø <Ð <Ð <Ð <Ð <Ð <Ø  Ð  Ð  Ð  Ð  Ð  ð €v„{6”:˜sÑ#Ô#€ðYð Yð Yð Yð Yñ Yô Yð Yðx
{ð {ð {ð {ð {ñ {ô {ð {ð {ð {r   